(* ----------------------------------------------------------------------- *)
(*                          DIRCONST.PAS                                   *)
(*              (c) 1987  Michael Ceol & PASCAL INT.                       *)
(*           Gleichermassen fuer MS-DOS, TOS und CP/M 3.0.                 *)
(* Bei CP/M-Implementationen mit sehr grossen Laufwerken muss "DirSizeMax" *)
(* ev. vergroessert werden, da bis zu 8191 Eintraege moeglich sein koennen.*)
(* Die Fehlercodes werden durch die systemnahen Routinen den hier defi-    *)
(* nierten Konstanten angepasst. (s. DIRMT.TUR bzw. DIRCP.TUR)             *)
  DirSizeMax = 112;              (* max. Anzahl von Verzeichnis-Eintraegen *)
                                           (* Dateiattribute:              *)
  DirRW  = $00;                            (* nur "normale" Dateieintraege *)
  DirRO  = $01;                            (* Datei ist nur zum Lesen      *)
  DirHid = $02;                            (* verborgene Datei             *)
  DirSys = $04;                            (* Systemdatei                  *)
  DirVol = $08;                            (* Datentraeger-Kennsatz        *)
  DirDir = $10;                            (* Unterverzeichnis             *)
  DirBak = $20;                            (* zu archivierende Datei       *)
                                           (* Sortierungsarten:            *)
  DirName = 0;                             (*  nach Name, gefolgt von Ext. *)
  DirDate = 1;                             (*  nach Datum und Uhrzeit      *)
  DirSize = 2;                             (*  nach Groesse                *)
  DirExt  = 3;                             (*  nach Ext., gefolgt von Name *)
                  (* Fehlercodes, pos. Werte sind die von MS-DOS:          *)
  DOSfnok  = 0;   (* =  0: Funktion ohne Fehler ausgefuehrt.               *)
  DOSfilnf = -33; (* =  2: Datei nicht gefunden, file not found            *)
  DOSedriv = -46; (* = 15: ungueltiges Laufwerk, invalid drive             *)
  DOSnmfil = -49; (* = 18: keine weiteren Dateien mehr, no more files      *)
(* ----------------------------------------------------------------------- *)
(*                          DIRCONST.PAS                                   *)
